eCos Reference Manual
Prev | Chapter 5. Installation and Testing | Next

# ARM/ARM9 Altera Excalibur

## Overview

RedBoot supports the serial port labelled P2 on the board. The default serial port settings are 57600,8,N,1. RedBoot also supports flash management on the Excalibur.

The following RedBoot configurations are supported:

Configuration | Mode | Description | File
--- | --- | --- | ---
ROMRAM | [ROMRAM] | RedBoot running from RAM, but contained in the board's flash boot sector. | redboot_ROMRAM.ecm
RAM | [RAM] | RedBoot running from RAM with RedBoot in the flash boot sector. | redboot_RAM.ecm
REDBOOT | [ROMRAM] | RedBoot running from top of RAM, but contained in the board's flash boot sector. | redboot_REDBOOT.ecm

> NOTE: RedBoot is currently hardwired to use a 128MB SDRAM SIMM module.

## Initial Installation Method

A Windows utility (exc_flash_programmer.exe) is used to program flash using the ByteBlasterMV JTAG unit. See board documentation for details on in situ flash programming.

For ethernet to work (under Linux) the following jumper settings should be used on a REV 2 board:

SW2-9 : OFF
U179 : 2-3
JP14-18 : OPEN
JP40-41 : 2-3
JP51-55 : 2-3

## Flash management

The ROMRAM and REDBOOT configurations supported on this platform differ only in the memory layout (ROMRAM configuration runs RedBoot from 0x00008000 while REDBOOT configuration runs RedBoot from 0x07f80000). The REDBOOT configuration allows applications to be loaded and run from address 0x00008000.

## Special RedBoot Commands

The exec command which allows the loading and execution of Linux kernels, is supported for this board (see the Section called Executing Programs from RedBoot in Chapter 2). The exec parameters used for the Excalibur are:

-b `<addr>`

  Location Linux kernel was loaded to

-l `<len>`

  Length of kernel

-c `"params"`

  Parameters passed to kernel

-r `<addr>`

  'initrd' ramdisk location

-s `<len>`

  Length of initrd ramdisk

The parameters for kernel image base and size are automatically set after a load operation. So one way of starting the kernel would be:

    RedBoot> load -r -b 0x100000 zImage
    Raw file loaded 0x00100000-0x001a3d6c
    RedBoot> exec -c "console=ttyUA0,57600"
    Using base address 0x00100000 and length 0x000a3d6c
    Uncompressing Linux.....

An image could also be put in flash and started directly:

    RedBoot> exec -b 0x40400000 -l 0xc0000 -c "console=ttyUA0,57600"
    Uncompressing Linux.....

## Memory Maps

The MMU page tables are located at 0x4000.

> NOTE: The virtual memory maps in this section use a C and B column to indicate whether or not the region is cached (C) or buffered (B).

    Physical Address Range     Description
    -----------------------    ----------------------------------
    0x00000000 - 0x07ffffff    SDRAM
    0x08000000 - 0x0805ffff    On-chip SRAM
    0x40000000 - 0x40ffffff    Flash
    0x7fffc000 - 0x7fffffff    I/O registers
    0x80000000 - 0x8001ffff    PLD

    Virtual Address Range    C B  Description
    -----------------------  - -  ----------------------------------
    0x00000000 - 0x07ffffff  Y Y  SDRAM
    0x08000000 - 0x0805ffff  Y Y  On-chip SRAM
    0x40000000 - 0x403fffff  N Y  Flash
    0x7fffc000 - 0x7fffffff  N N  I/O registers
    0x80000000 - 0x8001ffff  N N  PLD

## Rebuilding RedBoot

These shell variables provide the platform-specific information needed for building RedBoot according to the procedure described in Chapter 3:

    export TARGET=excalibur_arm9
    export ARCH_DIR=arm
    export PLATFORM_DIR=arm9/excalibur

The names of configuration files are listed above with the description of the associated modes.

Prev | Home | Next
ARM/ARM9 Agilent AAED2000 | Up | ARM/StrongARM(SA110) Intel EBSA 285